
import random
import time
from watchdog.observers import Observer
from watchdog.events import FileSystemEventHandler

def random_file_handler(path, recursive=False):
    class RandomFileHandler(FileSystemEventHandler):
        def on_any_event(self, event):
            if event.is_directory and not recursive:
                return
            print(f"Event type: {event.event_type}")
            print(f"Path: {event.src_path}")
            print(f"Size: {event.src_path.size() if hasattr(event.src_path, 'size') else 'N/A'}")
            print(f"Last modified: {time.ctime(event.src_path.stat().st_mtime)}")

    event_handler = RandomFileHandler()
    observer = Observer()
    observer.schedule(event_handler, path, recursive=recursive)
    observer.start()
    try:
        while True:
            time.sleep(1)
    except KeyboardInterrupt:
        observer.stop()
    observer.join()



